%def_with optimization
%def_enable altkernel
%def_disable junior
%def_disable archopt
%def_enable langify

%if_disabled junior

# What should we build for normal glibc.
%ifdef __buildreqs
%def_disable check
%else
%def_enable check
%endif #__buildreqs

%else #enabled junior

# What should we build for junior.
%def_disable profile
%def_disable check
%def_without debug

%endif #disabled junior

# Build arch-optimized subpackage only?
%if_enabled archopt

# Increase optimization level, assume kernel-2.4.x
%define _optlevel 3
%def_disable profile
%def_without locales
%def_without debug
%define enablekernel 2.4.1
%define enablemask [01].*|2.[0-3]*|2.4.0*

%else #disabled archopt

%def_enable profile
%def_with locales
%ifdef __buildreqs
%def_without debug
%else
%def_with debug
%endif #__buildreqs

%if_enabled altkernel
%define enablekernel 2.2.18
%else #disabled altkernel
%define enablekernel 2.2.5
%endif #enabled altkernel

%define enablemask [01].*|2.[0-1]*|2.2.[0-4]|2.2.[0-4][^0-9]*

%endif #enabled archopt

%define preversion %nil
%define vendor_version 0.7

%define _gconvdir %_libdir/gconv

Name: glibc
Version: 2.2.6
Release: alt%vendor_version%preversion
Serial: 6
%define realversion %version%preversion

Summary: The GNU libc libraries
License: LGPL
Group: System/Base
Url: ftp://sourceware.cygnus.com/pub/%name/releases

# cvs -d :pserver:anoncvs@sources.redhat.com:/cvs/glibc co -r glibc-2-2-branch libc
Source0: %name-%realversion.tar.bz2
Source1: %name-linuxthreads-%realversion.tar.bz2

# RH-based stuff.
Source2: %name-compat.tar.bz2
Source3: c_stubs.tar.bz2
Source4: %name-helpers.tar
Source5: nscd.init
Source6: nsswitch.conf
Source7: %name-README-alpha

Patch0: %name-2.2.6-alt-version.patch

# CVS
Patch1: %name-cvs-20011206-alt-asprintf.patch
Patch2: %name-cvs-20011225-alt-realloc.patch
Patch3: %name-cvs-20020302-nice.patch
Patch4: %name-cvs-20020414-check_fds.patch
Patch5: %name-cvs-20020807-resolv-fixes.patch
Patch6: %name-cvs-20020928-setrlimit.patch
Patch7: %name-cvs-20021013-XetresXid.patch
Patch8: %name-cvs-20021113-alt-canonicalize.patch
Patch9: %name-cvs-20021216-xdrmem.patch

# RHS
Patch16: %name-2.2.90-diff-CYGNUS-to-REDHAT-alt.patch
Patch17: %name-kernel-2.4.patch

# ALT
Patch21: %name-2.2.4-alt-localedata.patch
Patch22: %name-2.2-alt-texinfo.patch
Patch23: %name-2.2.2-alt-iconv_replace.patch
Patch24: %name-2.2.5-alt-i18n.patch.bz2
Patch25: %name-2.2.6-alt-crypt.patch
Patch26: %name-2.2.1-alt-queue.patch
Patch27: %name-2.2.1-pthread_create.patch
Patch28: %name-2.2.1-string2.patch
Patch29: %name-2.2.2-alt-disable-mbs-support.patch
Patch30: %name-2.2.2-alt-getopt_optind.patch
Patch31: %name-2.2.2-alt-exit_during_install.patch
Patch32: %name-2.2.2-alt-sys_mount.patch
Patch33: %name-2.2.4-owl-alt-fts.patch
Patch34: %name-2.2.5-alt-sanitize-env.patch
Patch35: %name-2.2.5-alt-asprintf.patch
Patch36: %name-2.2.5-alt-realloc-io_fts.patch
Patch37: %name-2.2.6-bsd-strlcpy-strlcat.patch
Patch38: %name-2.2.5-owl-res_randomid.patch
Patch39: %name-2.2.5-owl-alt-syslog-ident.patch
Patch40: %name-2.2.5-alt-ldd-exec_via_rtld.patch
Patch41: %name-2.2.6-alt-glibcbug.patch
Patch42: %name-2.2.5-alt-relocate_helper_libs.patch
Patch43: %name-2.2.5-mjt-syslog-timestamp.patch
Patch44: %name-2.2.5-alt-assume_kernel.patch
Patch45: %name-2.2.5-vine-compat-resolv-fixes.patch
Patch46: %name-2.2.6-alt-xtrace_xvt.patch
Patch47: %name-2.2.5-bruno-locale_charmap.patch
Patch48: %name-2.2.6-alt-localedata_fixes.patch
Patch49: %name-2.2.5-mdk-compat-EUR-currencies.patch
Patch50: %name-2.2.6-mdk-i386-ULPs.patch
Patch51: %name-2.2.6-alt-libio-fixes.patch
Patch52: %name-2.2.6-suse-alt-resolv-response_length.patch
Patch53: %name-2.2.6-alt-owl-resolv-underfills.patch

Patch100: %name-2.2.5-alt-debug-disable-inlines.patch
Patch101: %name-2.2.5-alt-i18n-junior.patch

Obsoletes: zoneinfo, libc-static, libc-devel, libc-profile, libc-headers,
Obsoletes: linuxthreads, gencat, ldconfig
%ifarch sparc
Obsoletes: libc
%endif

%if_enabled junior
%define libc_locales_list be de en fr he kk ky ru uk
%else #disabled junior
%define libc_locales_list af ar be bg br bs ca cs cy da de el en es et eu fa fi fo fr ga gl gv he hi hr hu id is it iw ja ka kk kl ko kw ky lt lv mi mk mr ms mt nl nn no oc pl pt ro ru sk sl sq sr sv ta te tg th tl tr uk ur uz vi yi zh
%endif #enabled junior

%define libc_locales %(for i in %libc_locales_list;do echo -n "locale-$i locales-$i ";done)
%define renamed_locales ru_RU.ISO-8859-5 ru_UA.KOI8-U uk_UA.KOI8-U

PreReq: %name-core = %serial:%version-%release
PreReq: %name-nss = %serial:%version-%release
PreReq: %name-locales-virtual = %serial:%version-%release
PreReq: %name-gconv-modules = %serial:%version-%release
PreReq: iconv = %serial:%version-%release
PreReq: %name-timezones = %serial:%version-%release
PreReq: %name-utils = %serial:%version-%release

BuildPreReq: rpm-build >= 4.0.4-alt10, kernel-headers >= 2.2.18-ipl1mdk, make >= 3.79.1, binutils >= 2.13.90.0.4, autoconf = 2.13
BuildConflicts: glibc-core-archopt

# This is required for building auxiliary programs.
# Automatically added by buildreq on Sun Nov 10 2002
BuildRequires: libgd1-devel libpng-devel zlib-devel

%package core
Summary: The GNU libc core libraries and utilities
Group: System/Libraries
AutoReq: no
Conflicts: %name < %serial:%version-%release
Provides: linuxthreads, ldconfig, /sbin/ldconfig, /sbin/post_ldconfig, /sbin/postun_ldconfig
Obsoletes: linuxthreads, ldconfig
%ifarch alpha
Provides: ld.so.2
%endif

%package nss
Summary: The GNU libc Name Service Switch subsystem
Group: System/Libraries
PreReq: %name-core = %serial:%version-%release
Conflicts: %name < %serial:%version-%release

%package locales%{?_enable_junior:-junior}
Summary: The GNU libc locales%{?_enable_junior: for Junior}
Group: System/Internationalization
PreReq: %name-core = %serial:%version-%release
Provides: %name-locales-virtual = %serial:%version-%release
Provides: locale locales %libc_locales
Obsoletes: locale locales %libc_locales
%{!?_enable_junior:Obsoletes: %name-locales-junior}
%{?_enable_junior:Conflicts: %name-locales}
Conflicts: %name < %serial:%version-%release

%package i18ndata
Summary: Files for building customized GNU libc locales
Group: System/Base
PreReq: %name-core = %serial:%version-%release
Obsoletes: %name-localedata
Provides: %name-localedata
Conflicts: %name < %serial:%version-%release
Conflicts: mutt < 1.3.22.1i

%package gconv-modules
Summary: The GNU libc charset conversion modules
Group: System/Base
PreReq: %name-core = %serial:%version-%release

Conflicts: %name < %serial:%version-%release

%package -n iconv
Summary: The GNU libc charset conversion modules
Group: System/Base
PreReq: %name-core = %serial:%version-%release, %name-gconv-modules = %serial:%version-%release
Conflicts: %name < %serial:%version-%release
Provides: /usr/sbin/iconvconfig

%package timezones
Summary: The GNU libc timezones data
Group: System/Base
PreReq: %name-core = %serial:%version-%release
Conflicts: %name < %serial:%version-%release
Provides: zoneinfo
Obsoletes: zoneinfo

%package utils
Summary: The GNU libc misc utilities
Group: System/Base
PreReq: %name-core = %serial:%version-%release
Conflicts: %name < %serial:%version-%release
Requires: mktemp >= 1:1.3.1
Provides: gencat
Obsoletes: gencat

%package devel
Summary: Include and object files required for C development
Group: Development/C
Requires(post,preun): %__install_info
Requires: %name = %serial:%version-%release, kernel-headers >= 2.2.1
Conflicts: texinfo < 3.11
%ifarch %ix86
# Earlier gcc's had atexit reference in crtendS.o, which does not
# work with this glibc where atexit is in libc_nonshared.a
Conflicts: gcc < 0:2.96-ipl9mdk
%endif
Obsoletes: libc-headers, libc-devel, linuxthreads-devel

%package devel-static
Summary: Static libraries for C development
Group: Development/C
Requires: %name-devel = %serial:%version-%release
Obsoletes: libc-static

%package profile
Summary: The GNU libc libraries, including support for gprof profiling
Group: Development/C
Requires: %name = %serial:%version-%release
Obsoletes: libc-profile

%package debug
Summary: The GNU libc utilities for software debugging
Group: Development/C
Requires: %name-devel = %serial:%version-%release
Obsoletes: libc-debug

%package core-debug
Summary: The GNU libc core libraries with debugging information
Group: Development/C
AutoProv: yes, nolib
Requires: %name-core = %serial:%version-%release

%package nss-debug
Summary: The GNU libc Name Service Switch libraries with debugging information
Group: Development/C
AutoProv: yes, nolib
Requires: %name-nss = %serial:%version-%release, %name-core-debug = %serial:%version-%release

%package devel-debug
Summary: Static standard C libraries with debugging information
Group: Development/C
AutoProv: yes, nolib
Requires: %name-devel = %serial:%version-%release, %name-core-debug = %serial:%version-%release, %name-nss-debug = %serial:%version-%release

%package -n nscd
Summary: A Name Service Caching Daemon (nscd)
Group: System/Servers
Conflicts: kernel < 2.2.0
PreReq: chkconfig, shadow-utils
PreReq: %name-core = %serial:%version-%release

%package core-%_target_cpu
Summary: The GNU libc core libraries built with optimization for %_target_cpu processor
Group: System/Libraries
PreReq: %name-core = %serial:%version-%release
Provides: %name-core-archopt = %serial:%version-%release

%description
The GNU libc is a set of standard libraries which are used by
multiple programs on the system. In order to save disk space and
memory, as well as to make upgrading easier, common system code is
kept in one place and shared between programs.

%description core
The %name-core package contains most essential GNU libc libraries and files,
including dynamic linker and its configurator, standard C library and the
standard math library. Without these files a Linux system will not function.

%description locales%{?_enable_junior:-junior}
The %name-locales package contains GNU libc locales%{?_enable_junior: for Junior}, files
that tell your system about your language, names of days and months,
charset, and other language/territory/charset specific things.

%description i18ndata
The %name-i18ndata package contains files for building locales.
Locales are files, that tell your system about your language, names
of days and months, alphabet and other language/territory/charset
specific things.

%description gconv-modules
The %name-gconv-modules package contains that help programs to convert
data between various charsets.

%description -n iconv
The iconv package contains program that can convert text files between
various charsets.

%description timezones
The %name-timezones package contains files, utilities and databases for
operating timezones data in the system.

%description utils
The %name-utils package contains miscellaneous non-essential %name
utilities that didn't fit in specific packages.

%description nss
NSS is a Name Service Switch subsystem. The basic idea is to put the
implementation of the different services offered to access the databases
in separate modules.

%description devel
This package contains the header and object files necessary for
developing programs which use the standard C libraries (which are
used by nearly all programs).  If you are developing programs which
will use the standard C libraries, your system needs to have these
standard header and object files available in order to create the
executables.

Install this package if you are going to develop programs which will
use the standard C libraries.

%description devel-static
This package package contains the static libraries necessary
for developing statically linked programs which use the standard
C libraries.

Install this package if you need to statically link your program
or library.

%description profile
The %name-profile package includes the GNU libc libraries and support
for profiling using the gprof program.  Profiling is analyzing a
program's functions to see how much CPU time they use and determining
which functions are calling other functions during execution.  To use
gprof to profile a program, your program needs to use the GNU libc
libraries included in %name-profile (instead of the standard GNU libc
libraries included in the %name package).

If you are going to use the gprof program to profile a program, you'll
need to install the %name-profile program.

%description debug
The %name-debug package contains utilities for software debugging,
including:
+ memusage
+ memusagestat
+ pcprofiledump
+ xtrace

%description core-debug
This package contains shared libc core libraries with debugging information.
You need this if you want to step into C library routines during
debugging. To use these libraries, you need to set
LD_LIBRARY_PATH=%_libdir/debug
in your environment before starting debugger.
If you want to see glibc source files during debugging, you should
rpm -i glibc-%version-%release.src.rpm
rpm -bp %%_specdir/glibc.spec

%description nss-debug
This package contains shared libc NSS libraries with debugging information.
You need this if you want to step into C library routines during
debugging. To use these libraries, you need to set
LD_LIBRARY_PATH=%_libdir/debug
in your environment before starting debugger.
If you want to see glibc source files during debugging, you should
rpm -i glibc-%version-%release.src.rpm
rpm -bp %%_specdir/glibc.spec

%description devel-debug
The devel-debug package contains static standard C libraries
with debugging information.  You need this only if you want to step into
C library routines during debugging programs statically linked against
one or more of the standard C libraries.
To use this debugging information, you need to link binaries with
-L%_libdir/debug compiler option.
If you want to see glibc source files during debugging, you should
rpm -i glibc-%version-%release.src.rpm
rpm -bp %%_specdir/glibc.spec

%description -n nscd
Nscd caches name service lookups and can dramatically improve
performance with NIS+, and may help with DNS as well. Note that you
can't use nscd with 2.0 kernels because of bugs in the kernel-side
thread support. Unfortunately, nscd happens to hit these bugs
particularly hard.

Install nscd if you need a name service lookup caching daemon, and
you're not using a version 2.0 kernel.

%description core-%_target_cpu
This package contains most essential GNU libc libraries,
optimized for run on %_target_cpu processor.

%prep
%setup -q -a1 -a2 -a3 -a4 -n %name-%realversion

%patch0 -p1

### CVS
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

### RH patches (adopted).
%patch16 -p1

# If we are building enablekernel 2.x.y glibc on older kernel,
# we have to make sure no binaries compiled against that glibc
# are ever run
case `uname -r` in
%enablemask)
%patch17 -p1
;; esac

### ALT patches.

# Revert back to old-style install-locales technique.
%patch21 -p1

# Fix texinfo documentation.
%patch22 -p1

# Added "--replace" option to iconv utility.
%patch23 -p1

# PT154 charset, ru_RU, kk_KZ, ky_KG, *.UTF-8 locales.
%patch24 -p1

# Export MD5 library.
# Blowfish-crypt support (we use crypt_blowfish-0.4.1 from Solar).
# Gensalt interface.
# Export UFC-crypt and MD5-crypt interface.
%patch25 -p1

# Upgrade bsd sys/queue.h
%patch26 -p1

# Fix manpage.
%patch27 -p1

# Fix string2.h
%patch28 -p1

# Disable MBS_SUPPORT.
# ldv: it works again, reenabled.
#%patch29 -p1

# Fixed optind handling.
%patch30 -p1

# Make ldconfig exit during distribution install.
%patch31 -p1

# Fixed typo in sys/mount.h
%patch32 -p1

# FTS patch (almost all already applied) (Solar).
%patch33 -p1

# Sanitize the environment in a paranoid way (Solar idea).
%patch34 -p1

# Fix asprintf/vasprintf error handling.
%patch35 -p1

# Fix realloc usage in io/fts (update from BSD).
%patch36 -p1

# Add strlcpy and strlcat from OpenBSD.
%patch37 -p1

# resolv res_randomid (Solar).
%patch38 -p1

# If syslog(3) is called by a SUID/SGID program without a preceding call to
# openlog(3), don't blindly trust __progname for the syslog ident (Solar).
%patch39 -p1

# ldd: execute traced object with direct help of rtld.
%patch40 -p1

# glibcbug script: fixed tmp usage, corrected email and editor settings.
%patch41 -p1

# Relocate helper libraries from /lib to %_libdir.
%patch42 -p1

# Use ctime_r(3) instead of strftime_r(3) in syslog(3) so that month
# names will not depend on current locale settings.
%patch43 -p1

# Adjust __LINUX_KERNEL_VERSION constants to fit ALT kernels.
%patch44 -p1

# Fixed the DNS resolver buffer overflows in glibc-compat code (Tomohiro Kato).
%patch45 -p0

# xtrace.sh: If `TERMINAL_PROG' is not set, set it to `xvt'.
%patch46 -p1

# Don't access result if result == NULL (Bruno Haible).
%patch47 -p1

# Fix inconsistences in localedata.
%patch48 -p1

# Don't obsolete old currencies from Euro countries (mdk).
%patch49 -p1

# Fixed i386 ULPs for cacosh() tests.
%patch50 -p1

# Added checks for potential integer overflow in fread*/fwrite*.
%patch51 -p1

# This patch takes care of problems caused by res_send and friends
# returning the size of the DNS response (even if that's more than
# the size of the buffer to which it copied the response).
# 
# There is the quickest solution, which is just to truncate the
# response. This solution has the added benefit of not changing
# glibc's behavior in unexpected ways :)
%patch52 -p1

%{?_without_optimization:%patch100 -p1}
%{?_enable_junior:%patch101 -p1}
%{?_enable_archopt:mv -f sysdeps/i386/i686/hp-timing.h sysdeps/i386/i686/hp-timing.h.bak}

%ifnarch %ix86
%__rm -rf %name-compat
%endif

install -p -m644 %SOURCE7 README-alpha

%__rm *.mo manual/*.info* -f
find -type f \( -size 0 -o -name \*~ -o -name \*.orig -o -name .cvsignore \) -print0 |
	xargs -r0 %__rm -fv --

################################################################################
%build
%set_autoconf_version 2.13
%define buildtarget build-%_target

%if_without optimization
%define _optlevel %nil
%define optflags_optimization -O%_optlevel %optflags_debug
%define parallelmflags %nil

%else #with optimization

%define parallelmflags -s

%ifarch %ix86
%add_optflags -fstrict-aliasing
%endif

%ifnarch ia64 s390 s390x
%add_optflags -freorder-blocks
%endif

%ifarch sparcv9
%add_optflags -fcall-used-g7"
%endif

%ifarch sparc64
%add_optflags -mvis -fcall-used-g7"
%endif

%add_optflags -DNDEBUG=1

%endif #without optimization

%define _configure_script ../configure
%define _configure_target  --host=%_target_platform --build=%_target_platform

# fakeroot go home!
unset LD_PRELOAD ||:

%__rm -rf %buildtarget
mkdir %buildtarget
pushd %buildtarget

%configure \
	%{?_disable_profile:%_disable_profile} \
	--enable-add-ons=yes \
	--without-cvs \
	--enable-kernel=%enablekernel \
	#

%make_build -r PARALLELMFLAGS=%parallelmflags

%if_enabled check
%make_build -r PARALLELMFLAGS=%parallelmflags -k check
%endif #enabled check

popd #%buildtarget

make -C %name-helpers

%if_with debug
%__rm -rf %buildtarget-debug
mkdir %buildtarget-debug
pushd %buildtarget-debug

export CFLAGS="$RPM_OPT_FLAGS %optflags_debug"
%configure \
	--disable-profile \
	--without-gd \
	--enable-add-ons=yes \
	--without-cvs \
	--enable-kernel=%enablekernel

%make_build -r PARALLELMFLAGS=%parallelmflags

popd #%buildtarget-debug
%endif #with debug

# The man pages for the linuxthreads require special attention.
make -C linuxthreads/man

################################################################################
%install
[ -n "$NPROCS" ] || NPROCS=%__nprocs
%make_install -j$NPROCS install install_root=$RPM_BUILD_ROOT -C %buildtarget

# Relocate shared libraries used by catchsegv, memusage and xtrace.
%__mv $RPM_BUILD_ROOT/lib/lib{memusage,pcprofile,SegFault}.so \
	$RPM_BUILD_ROOT%_libdir/ ||:

%if_with debug
%make_install install install_root=$RPM_BUILD_ROOT/debug -C %buildtarget-debug

%__rm -fv $RPM_BUILD_ROOT/debug/lib/lib{memusage,pcprofile,SegFault}.so

/bin/ls -1 $RPM_BUILD_ROOT/debug/lib/*.so* |
	fgrep -v /lib/libnss1 |egrep -v '/lib/libnss_([^f]|files\.so\.1)' |
	%__sed -e "s|$RPM_BUILD_ROOT/debug/lib|%_libdir/debug|g" >core-debug.files

/bin/ls -1 $RPM_BUILD_ROOT/debug/lib/*.so* |
	fgrep nss |
	fgrep -v /lib/libnss_files-%version.so |
	fgrep -v /lib/libnss_files.so.2 |
	%__sed -e "s|$RPM_BUILD_ROOT/debug/lib|%_libdir/debug|g" >nss-debug.files

/bin/ls -1 $RPM_BUILD_ROOT/debug%_libdir/lib*.so |
	%__sed -e "s|$RPM_BUILD_ROOT/debug%_libdir|%_libdir/debug|g" >>devel-debug.files

%__mkdir_p $RPM_BUILD_ROOT%_libdir/debug
%__mv $RPM_BUILD_ROOT/debug/lib/* $RPM_BUILD_ROOT/debug%_libdir/*.{so,a,o}* \
	$RPM_BUILD_ROOT%_libdir/debug/
%__rm -rf $RPM_BUILD_ROOT/debug
for f in $RPM_BUILD_ROOT%_libdir/debug/*.so; do
	if [ -L "$f" ]; then
		t=`readlink "$f"`
		t=${t##*/}
		%__ln_s -nf "$t" "$f"
	fi
done
%endif #with debug

%if_enabled archopt

%__mkdir_p $RPM_BUILD_ROOT/lib/%_target_cpu
%__mv $RPM_BUILD_ROOT/lib/*.so* $RPM_BUILD_ROOT/lib/%_target_cpu/

%else #disabled archopt

# Install upgrade programs.
make -C %name-helpers install

%if_with locales
pushd %buildtarget
	%make_build install-locales -C ../localedata \
		install_root=$RPM_BUILD_ROOT \
		objdir=`pwd`
popd

# Hardlink identical locale files together.
./%name-helpers/linkify -vc $RPM_BUILD_ROOT%_libdir/locale

# Convert these locale directories into symlinks.
for n in %renamed_locales; do
	t=$RPM_BUILD_ROOT%_libdir/locale/"${n%.*}"
	%__rm -rf "$t"
	%__ln_s "$n" "$t"
done
%endif #with locales

# Remove the files we won't to distribute.
#rm -f $RPM_BUILD_ROOT/lib/libNoVersion*

# The man pages for the linuxthreads require special attention.
%__mkdir_p $RPM_BUILD_ROOT%_man3dir
install -p -m644 linuxthreads/man/*.3thr $RPM_BUILD_ROOT%_man3dir/

# If librt.so is a symlink, change it into linker script
if [ -L $RPM_BUILD_ROOT%_libdir/librt.so ]; then
	%__rm -f $RPM_BUILD_ROOT%_libdir/librt.so
	LIBRTSO=`cd $RPM_BUILD_ROOT/lib; echo librt.so.*`
	LIBPTHREADSO=`cd $RPM_BUILD_ROOT/lib; echo libpthread.so.*`
	cat > $RPM_BUILD_ROOT%_libdir/librt.so <<__EOF__
/* GNU ld script
   librt.so.1 needs libpthread.so.0 to come before libc.so.6*
   in search scope.  */
GROUP ( /lib/$LIBPTHREADSO /lib/$LIBRTSO )
__EOF__
%if_with debug
	%__rm -f $RPM_BUILD_ROOT%_libdir/debug/librt.so
	%__cp -p $RPM_BUILD_ROOT%_libdir/librt.so $RPM_BUILD_ROOT%_libdir/debug/
%endif #with debug
fi

%__ln_s -f libbsd-compat.a $RPM_BUILD_ROOT%_libdir/libbsd.a

install -p -m644 %SOURCE6 $RPM_BUILD_ROOT%_sysconfdir/nsswitch.conf

# This is for ncsd in glibc 2.2
install -pD -m755 %SOURCE5 $RPM_BUILD_ROOT%_initdir/nscd
install -p -m644 nscd/nscd.conf $RPM_BUILD_ROOT%_sysconfdir

# Don't include ld.so.cache
rm -f $RPM_BUILD_ROOT%_sysconfdir/ld.so.cache

# Include ld.so.conf
install -pD -m644 /dev/null $RPM_BUILD_ROOT%_sysconfdir/ld.so.conf

# Include gconv-modules.cache
install -pD -m644 /dev/null $RPM_BUILD_ROOT%_gconvdir/gconv-modules.cache

# %_sysconfdir/localtime - we're proud of our timezone.
%__rm -f $RPM_BUILD_ROOT%_sysconfdir/localtime
%__cp -pf $RPM_BUILD_ROOT%_datadir/zoneinfo/Europe/Moscow \
	$RPM_BUILD_ROOT%_sysconfdir/localtime

# Get rid of duplicates.
%__rm -rf $RPM_BUILD_ROOT%_datadir/zoneinfo/{posix,right}

# The last bit: more documentation.
%__install -p -m644 manual/dir-add.info \
	$RPM_BUILD_ROOT%_infodir/libc-dir-add.info
%__rm -rf documentation
%__mkdir documentation
%__cp -pL LICENSES README NEWS INSTALL FAQ BUGS NOTES PROJECTS README.* ChangeLog* hesiod/README.hesiod \
	documentation/
%__cp -pL linuxthreads/ChangeLog  documentation/ChangeLog.threads
%__cp -pL linuxthreads/Changes documentation/Changes.threads
%__cp -pL linuxthreads/README documentation/README.threads
%__cp -pL linuxthreads/FAQ.html documentation/FAQ-threads.html
%__cp -rpL linuxthreads/Examples documentation/examples.threads
%__cp -pL crypt/README.ufc-crypt documentation/README.ufc-crypt
%__cp -pL timezone/README documentation/README.timezone
%__bzip2 -9 documentation/{ChangeLog*,FAQ}

/bin/ls -1 $RPM_BUILD_ROOT/lib/*.so* |
	fgrep -v /lib/libnss1 |egrep -v '/lib/libnss_([^f]|files\.so\.1)' |
	%__sed -e "s|$RPM_BUILD_ROOT||g" >core.files

/bin/ls -1 $RPM_BUILD_ROOT/lib/*.so* |
	fgrep nss |
	fgrep -v /lib/libnss_files-%version.so |
	fgrep -v /lib/libnss_files.so.2 |
	%__sed -e "s|$RPM_BUILD_ROOT||g" >nss.files

/bin/ls -1 $RPM_BUILD_ROOT%_bindir/* |
	egrep -v '/(iconv|locale|memusage|pcprofiledump|tzselect|xtrace)' |
	%__sed -e "s|$RPM_BUILD_ROOT||g" >util.files

>devel.files
>devel-static.files
for f in `/bin/ls -1 $RPM_BUILD_ROOT%_libdir/lib*.a |
	  grep -v '_p.a$' |
	  %__sed -e "s|$RPM_BUILD_ROOT||g"`; do
	if [ -e "$RPM_BUILD_ROOT${f%.a}.so" ]; then
		echo "$f" >>devel-static.files
	else
		echo "$f" >>devel.files
	fi
done

/bin/ls -1 $RPM_BUILD_ROOT%_libdir/lib*.so |
	egrep -v '/lib(memusage|pcprofile).so$' |
	%__sed -e "s|$RPM_BUILD_ROOT||g" >>devel.files

%if_enabled junior
>libc.lang
%else #disabled junior
%find_lang libc
%endif #enabled junior

%if_with locales
%if_enabled langify
(
	cd $RPM_BUILD_ROOT%_libdir/locale
	for f in *; do
		n=${f%@*}
		n=${f%.*}
		n=${f%_*}
		echo "%lang($n) %attr(-,root,root) %_libdir/locale/$f"
	done
) >>libc.lang
%endif #enabled langify
%endif #with locales

%endif #enabled archopt

%if_without optimization

%set_strip_method none

%else #with optimization

# Strip libpthread but keep some symbols required for debugging threaded apps.
find $RPM_BUILD_ROOT/lib -type f -name libpthread-\*.so -print0 |
     xargs -r0 strip --strip-debug -R .comment --
%add_strip_skiplist */libpthread-*.so

%endif #without optimization

%if_enabled archopt
%post core-%_target_cpu -p /sbin/glibc_post_upgrade
%postun core-%_target_cpu
[ $1 -gt 0 ] || /sbin/glibc_post_upgrade
%endif #enabled archopt

%post core -p /sbin/glibc_post_upgrade
%postun core -p /sbin/postun_ldconfig

%post nss -p /sbin/post_ldconfig
%postun nss -p /sbin/postun_ldconfig

%post -n iconv
%_sbindir/iconvconfig

%pre locales%{?_enable_junior:-junior}
for n in %renamed_locales; do
	f="%_libdir/locale/${n%.*}"
	if [ -d "$f" -a ! -L "$f" ]; then
		%__rm -rf "$f"
		/bin/touch "$f.RPMLOCK"
	fi
done

%post locales%{?_enable_junior:-junior}
for n in %renamed_locales; do
	d="%_libdir/locale/$n"
	f="%_libdir/locale/${n%.*}"
	if [ -f "$f.RPMLOCK" -a -d "$f" -a ! -d "$d.RPMSAVE" ]; then
		%__mv "$d" "$d.RPMSAVE"
		%__rm -f "$f.RPMLOCK"
	fi
done

%triggerpostun locales%{?_enable_junior:-junior} -- %name-locales, %name < 6:2.2.4-alt3
for n in %renamed_locales; do
	d="%_libdir/locale/$n"
	if [ -d "$d.RPMSAVE" -a ! -d "$d" ]; then
		%__mv "$d.RPMSAVE" "$d"
	fi
done

%post devel
%install_info libc{,-dir-add}.info

%pre devel
# This used to be a link and it is causing nightmares now.
if [ -L %_includedir/scsi ]; then
	%__rm -f %_includedir/scsi
fi

%preun devel
%uninstall_info libc{,-dir-add}.info

%pre -n nscd
/usr/sbin/useradd -M -o -r -u 28 -d / -s /dev/null -c "NSCD Daemon" nscd ||:

%post -n nscd
%post_service nscd

%preun -n nscd
%preun_service nscd

%triggerpostun core -p /sbin/glibc_fix_nsswitch -- %name < 6:2.2.4-alt3, %name-nss < 6:2.2.4-alt4

%if_enabled archopt

%files core-%_target_cpu
/lib/%_target_cpu/ld*
/lib/%_target_cpu/lib[acdmpru]*

%else #disabled archopt

%files
%doc documentation/*

%files core -f core.files
/sbin/glibc_post_upgrade
/sbin/glibc_fix_nsswitch*
/sbin/*ldconfig
%config(noreplace) %_sysconfdir/ld.so.conf
%config(noreplace) %_sysconfdir/localtime
%config(noreplace) %_sysconfdir/nsswitch.conf
%config(noreplace) %_sysconfdir/rpc

%files nss -f nss.files

%if_with locales
%files locales%{?_enable_junior:-junior} -f libc.lang
%_bindir/locale*
%dir %_libdir/locale
%if_disabled langify
%_libdir/locale/*
%endif #disabled langify
%endif #with locales

%files gconv-modules
%dir %_gconvdir
%_gconvdir/*.so
%verify(not md5 size mtime) %config(noreplace) %_gconvdir/gconv-modules*

%files -n iconv
%_bindir/iconv*
%_sbindir/iconv*

%files timezones
%_datadir/zoneinfo
%_bindir/tzselect
%_sbindir/zdump
%_sbindir/zic

%files utils -f util.files
/sbin/sln
%_sbindir/rpcinfo

%files devel -f devel.files
%_libdir/*.o
%_includedir/*
%_mandir/man?/*
%_infodir/*.info*

%files devel-static -f devel-static.files

%if_enabled profile
%files profile
%_libdir/lib*_p.a
%endif #enabled profile

%files debug
%_bindir/memusage*
%_bindir/pcprofiledump
%_bindir/xtrace
%_libdir/libmemusage.so
%_libdir/libpcprofile.so

%files -n nscd
%config(noreplace) %_sysconfdir/nscd.conf
%_initdir/nscd
%_sbindir/nscd*

%files i18ndata
%_datadir/i18n

%if_with debug
%files core-debug -f core-debug.files
%files nss-debug -f nss-debug.files
%files devel-debug -f devel-debug.files
%_libdir/debug/*.o
%_libdir/debug/*.a
%endif #with debug

%endif #enabled archopt

%changelog
* Sun Mar 23 2003 Dmitry V. Levin <ldv@altlinux.org> 6:2.2.6-alt0.7
- Backported from libc-current:
  + Fix overflows in xdrmem.
  + canonicalize: Check for malloc return value.
  + nice: Use getpriority() for the return value.
  + __pthread_reset_main_thread: Don't muck with RLIMIT_STACK
    in FLOATING_STACKS linuxthreads.

* Fri Nov 08 2002 Dmitry V. Levin <ldv@altlinux.org> 6:2.2.6-alt0.6
- Updated crypt_blowfish to version 0.4.5:
  * Fri Nov 08 2002 Solar Designer <solar@owl.openwall.com>
  - Made the x86 assembly code in crypt_blowfish reentrant
    (this time for real), made crypt_blowfish more careful
    about overwriting sensitive data.
- Cleaned up the default /etc/nsswitch.conf file (Owl).
- Backported from glibc-2.3.2:
  * posix/unistd.h [__USE_GNU] (getresuid, getresgid,
    setresuid, setresgid): Declare them.
- Explicitly use autoconf-2.13 for build.
- libpthread: keep some symbols required for debugging
  threaded applications.
- Removed soname provides from -debug subpackages.

* Sat Oct 12 2002 Dmitry V. Levin <ldv@altlinux.org> 6:2.2.6-alt0.5
- Avoid some potential reads beyond end of undersized DNS responses
  by making sure they're at least HFIXEDSZ+QFIXEDSZ in size.
- Fixed -debug subpackages.

* Mon Sep 30 2002 Dmitry V. Levin <ldv@altlinux.org> 6:2.2.6-alt0.4
- Take care of problems caused by res_send and friends returning
  the size of the DNS response (even if that's more than
  the size of the buffer to which it copied the response).

* Tue Sep 24 2002 Dmitry V. Levin <ldv@altlinux.org> 6:2.2.6-alt0.3
- Updated code to snapshot 2002-09-23 of glibc-2-2-branch.
- Reverted previous resolv patch for a while.

* Fri Sep 06 2002 Dmitry V. Levin <ldv@altlinux.org> 6:2.2.6-alt0.2
- resolv (both main and compat): backported from HEAD:
  MAXPACKET: Increase minimum value from 1024 to 65536,
  to avoid buffer overrun.
- Added checks for potential integer overflow in fread*/fwrite*.
- Switched back to default stripping policy:
  make use of new (rpm-build >= 4.0.4-alt3) strip feature.

* Sun Sep 01 2002 Dmitry V. Levin <ldv@altlinux.org> 6:2.2.6-alt0.1
- Updated code and patches to snapshot 2002-08-27 of glibc-2-2-branch;
  following patches were merged into this branch:
  cvs-20020304-ftime.patch
  cvs-20020320-nis.patch
  cvs-20020404-dirname.patch
  cvs-20020128-20020424-dl_load.patch
  cvs-20020514-semctl.patch
  cvs-20020227-20020506-catgets.patch
  cvs-20020702-libnss_dns.patch
  cvs-20020802-xdr_array.patch
  cvs-20020807-calloc.patch
  2.2.5-alt-linuxthreads-signals.patch
- %_bindir/xtrace: If `TERMINAL_PROG' is not set, set it to `xvt'.
- locale/programs/charmap.c (charmap_read): Don't attempt to access NULL result.
- Don't obsolete old currencies from Euro countries (mdk).
- Fixed i386 ULPs for cacosh() tests.
- Moved (some) static libraries to devel-static subpackage.
- Built with gcc 3.2.1-alt0.2.

* Wed Aug 07 2002 Dmitry V. Levin <ldv@altlinux.org> 6:2.2.5-alt12
- malloc/malloc.c (calloc): Also check elem_size != 0 before division.
- Parallelized %%make_install.

* Tue Aug 06 2002 Dmitry V. Levin <ldv@altlinux.org> 6:2.2.5-alt11
- Fixed the DNS resolver buffer overflows in glibc-compat code (Tomohiro Kato).
- Check for overflows on multiplication (based on patches from Solar):
  sunrpc/xdr_array.c (xdr_array), malloc/malloc.c (calloc).
- resolv: improved the code used to produce unpredictable DNS query IDs
  to make it generate different sequences of IDs in forked processes
  (problem noted by Jarno Huuskonen), conserve the kernel's randomness
  pool (based on feedback from Michael Tokarev), and properly reseed
  when chrooted (Owl).

* Wed Jul 03 2002 Dmitry V. Levin <ldv@altlinux.org> 6:2.2.5-alt10
- resolv/nss_dns/dns-network.c: Reduce linebuflen in parallel
  to bumping up the buffer pointer (Andreas Schwab).
- Adjusted kernel version constants to fit ALT kernels.
  *** BEWARE ***
  supported kernels: 2.2.18-ipl1mdk and higher (LFS is assumed):
  following features assumed to be present:
  + syscalls: {,f}truncate64,mmap2,{,l,f}stat64,fcntl64,getdents64;
  + options: O_DIRECTORY.
  This behaviour is controlled by "altkernel" build option.

* Tue Jun 18 2002 Dmitry V. Levin <ldv@altlinux.org> 6:2.2.5-alt9
- glibc-locales:
  + Changed name for interpackage dependencies to %name-locales-virtual.
  + Renamed junior-specific locales to %name-locales-junior.

* Sat Jun 15 2002 Dmitry V. Levin <ldv@altlinux.org> 6:2.2.5-alt8
- Refined ldd and glibcbug patches.
- %name-core-%%_target_cpu subpackage:
  + added more libraries;
  + built without i686-specific HP_TIMING support.
- Given libcrypt.so an entry point and made it directly runnable itself.

* Wed Jun 12 2002 Dmitry V. Levin <ldv@altlinux.org> 6:2.2.5-alt7
- Fixed malfunction of ldconfig update helpers.
- Changed behaviour: use ctime_r(3) instead of strftime_r(3) in syslog(3)
  so that month names will not depend on current locale settings
  (Michael Tokarev).
- Added %name-core-%%_target_cpu build support: for this package,
  optlevel=3 and assume kernel >= 2.4.1
- Relocated /lib/libSegFault.so to %_libdir/libSegFault.so;
  moved it from glibc-core to glibc-utils (only needed by catchsegv).
- Removed from glibc-core-debug: lib{memusage,pcprofile,SegFault}.so

* Sun Jun 09 2002 Dmitry V. Levin <ldv@altlinux.org> 6:2.2.5-alt6
- Backported from libc-current:
  + catgets: fix typo in code which uses read to load the catalog;
  + ftime: don't return 1000 in millitm;
  + nis: correctly close the UDP connection;
  + dirname: ignore trailing slashes at end of non-null result;
  + check_fds: make sure newly opened file descriptor has correct number;
  + dl_load: correct __lseek parameters;
  + semctl: only use va_arg if the argument will be used.
- sanitize_env:
  + turned __libc_enable_secure variable into bitmap;
  + changed behaviour: save important variables (only TMPDIR atm.)
    when executing non-suid sgid binaries.
- ldd: execute traced object with help of rtld (fixes #0000842).
- glibcbug script: fixed tmp usage, corrected email and editor settings.
- Build all libraries without debug info. Since now only new subpackages -
  glibc-core-debug, glibc-nss-debug, glibc-devel-debug - will contain
  same libraries built with symbols required for debugging into libc.
- BuildPreReq: rpm-build >= 4.0.4-alt0.3 (because of if/enable logic).

* Mon May 20 2002 Dmitry V. Levin <ldv@altlinux.org> 6:2.2.5-alt5
- Backported from libc-current:
  + catgets: free buffer if internal catalog open fails.
- Langified glibc-locales.

* Mon Apr 15 2002 Dmitry V. Levin <ldv@alt-linux.org> 6:2.2.5-alt4
- linuxthreads/signals.c: added missing check for signal type check.
- Fixed locale renaming problem for upgrade from old glibc (< 6:2.2.4-alt3).

* Sun Mar 31 2002 Dmitry V. Levin <ldv@alt-linux.org> 6:2.2.5-alt3
- Added post_ldconfig/postun_ldconfig.
- Removed call for update chrooted libs from ldconfig
  (use post_ldconfig instead).

* Thu Mar 21 2002 Dmitry V. Levin <ldv@alt-linux.org> 6:2.2.5-alt2
- Fixed locale renaming problem.
- Fixed glibc-core dependencies (#0000634).
- glibc-core, glibc-i18ndata, glibc-locales, glibc-nss, glibc-gconv-modules, glibc-utils, iconv:
  Conflicts: %name < %%serial:%%version-%%release.

* Tue Feb 19 2002 Dmitry V. Levin <ldv@alt-linux.org> 6:2.2.5-alt1
- 2.2.5, redone patches.
- Corrected package requires.
- Relocated %_bindir/{ldd,glibcbug} from %name-core to %name-utils.
- Updated sanitize-env patch.
- Changed ru_RU, ru_UA and uk_UA.KOI8-U locales to symlinks to real locales.
- Backported from current branch:
  + ALT Security Team's patches for asprintf and realloc issues;
  + elf/dl-load.c (_dl_map_object): Remove incorrect optimization for SHARED code.
- Merged in Owl patches for syslog and resolv.

* Wed Dec 05 2001 Dmitry V. Levin <ldv@alt-linux.org> 6:2.2.4-alt5
- Updated code and patches to CVS 20010925.
- Updated c_stub, glibc-compat and diff-CYGNUS-to-REDHAT.patch to 2.2.4-19 (rhs).
- Fixed asprintf/vasprintf error handling.
- Added strclcpy and strlcat from OpenBSD.

* Tue Nov 27 2001 Dmitry V. Levin <ldv@alt-linux.org> 6:2.2.4-alt4
- nss: moved libnss_files-2.2.4.so, libnss_files.so.2 and nsswitch.conf to core subpackage.
- nsswitch.conf: added initial nss_tcb support.
- gconv-modules: Included gconv-modules.cache
- iconv: execute iconvconfig in %post.
- i18ndata: enabled compressed charmaps.
- locales: hardlink identical locale files together (jj).
- librt.so: turn into linker script (jj).

* Fri Aug 24 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.2.4-alt3
- Split glibc into several packages (nidd):
  + glibc-core
  + glibc-i18ndata
  + glibc-locales
  + glibc-nss
  + glibc-gconv-modules
  + iconv

* Fri Aug 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.2.4-alt2
- Updated RH patch (from 2.2.4-5).
- Added %_sbindir/iconvconfig.

* Thu Aug 16 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.2.4-alt1
- 2.2.4
- Sanitize the environment in a paranoid way (Solar idea).

* Wed Aug 15 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.2.4-alt0.1pre3
- 2.2.4pre3.
- Re-enabled MBS_SUPPORT.

* Sat Jun 09 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.2.2-ipl7mdk
- Patch from Solar Designer <solar@owl.openwall.com>:
    Sync the fts(3) routines with current OpenBSD and FreeBSD; this is
    triggered by Nick Cleaton's report of yet another FTS vulnerability
    to FreeBSD, and a discussion with Kris Kennaway and Todd Miller. It
    should no longer be possible to trick FTS into leaving the intended
    directory hierarchy, but DoS attacks on FTS itself remain possible.
- Added sgi_fam entry to /etc/rpc.

* Thu May 31 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.2.2-ipl6mdk
- Resurrected %%optflags_debug options for compiler.
- Fixed devel/debug requires and obsoletes tags.

* Mon May 28 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.2.2-ipl5mdk
- Split out utilities and libraries for debugging into %name-debug subpackage.
- Updated crypt_blowfish to version 0.4.

* Sun Mar 18 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.2.2-ipl4mdk
- Fixed typo in sys/mount.h
- Built for release.

* Sat Mar 10 2001 Dmitry V. Levin <ldv@fandra.org> 2.2.2-ipl3mdk
- Updated 18n patch.
- Make ldconfig exit during distribution install.

* Sat Feb 24 2001 Dmitry V. Levin <ldv@fandra.org> 2.2.2-ipl2mdk
- Fixed optind handling.

* Sun Feb 18 2001 Dmitry V. Levin <ldv@fandra.org> 2.2.2-ipl1mdk
- 2.2.2 release.
- Disable MBS_SUPPORT.

* Tue Jan 30 2001 Dmitry V. Levin <ldv@fandra.org> 2.2.1-ipl2mdk
- Updated RH patch.
- Resurrected glibc-2.0 compatibility support (jj).
- Upgraded sys/queue.h
- ldconfig: call for update chrooted libs.
- Fixed pthread_create manpage (mdk).
- Fixed string2.h (libs-alpha).
- Added more info entries.

* Sun Jan 14 2001 Dmitry V. Levin <ldv@fandra.org> 2.2.1-ipl1mdk
- 2.2.1 release.

* Fri Jan 12 2001 Dmitry V. Levin <ldv@fandra.org> 2.2.1-ipl0.3mdk
- 2.2.1pre2.
- Export gensalt, UFC-crypt and MD5-crypt interface (libcrypt).
- Added Requires tags for all subpackages.

* Tue Jan 09 2001 Dmitry V. Levin <ldv@fandra.org> 2.2.1-ipl0.2mdk
- Export MD5 interface (libcrypt).
- Added blowfish-crypt support (libcrypt)
  (we use crypt_blowfish-0.3 from Solar Designer <solar@false.com>).

* Mon Jan 08 2001 Dmitry V. Levin <ldv@fandra.org> 2.2.1-ipl0.1mdk
- 2.2.1pre1.
- Reconstructed RH specific patch.
- Dropped libNoVersion support.
- Dropped glibc-2.0 compatibility support for a while
  (wait for RH port to 2.2.1).

* Sat Dec 23 2000 Dmitry V. Levin <ldv@fandra.org> 2.2-ipl5mdk
- More fixes and updates from CVS (see ChangeLog for details).
- Forced strip_method to "executable" only.
- Updated localedef patch (change build behavior to break on signals).

* Sat Dec 16 2000 Dmitry V. Levin <ldv@fandra.org> 2.2-ipl4mdk
- Added uk_UA.CP1251 into the list of supported charsets.
- Added few patches from glibc-alpha.

* Wed Nov 22 2000 Dmitry V. Levin <ldv@fandra.org> 2.2-ipl3mdk
- More fixes from CVS (see ChangeLog for details).
- Relocated shared libraries used by memusage and xtrace,
  from /lib to %%_libdir.
- Moved to devel subpackage:
  %%_bindir/{memusage*,pcprofiledump,xtrace},
  %%_libdir/{libmemusage,libpcprofile}.so

* Wed Nov 15 2000 Dmitry V. Levin <ldv@fandra.org> 2.2-ipl2mdk
- Updated locale patch.
- Fixed texinfo documentation.
- FHSified paths.h
- Added "--replace" option to iconv utility.

* Fri Nov 10 2000 Dmitry V. Levin <ldv@fandra.org> 2.2-ipl1mdk
- 2.2
- Fixed ldconfig.

* Wed Nov 08 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.97-ipl1mdk
- 2.1.97
- Various patches from glibc-alpha.

* Sat Oct 28 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.96-ipl1mdk
- 2.1.96.

* Mon Oct 23 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.95-ipl2mdk
- Added forgotten /lib/lib{memusage,pcprofile,SegFault}.so files.
- Updated Obsoletes/Provides tags for locales.

* Fri Oct 13 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.95-ipl1mdk
- 2.1.95.
- Compatibility: revert back to uncompressed charmaps.

* Fri Oct 06 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.94-ipl3mdk
- Merge patches from 2.1.94 RH release #3.
- Updated %post section.

* Sun Oct 01 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.94-ipl2mdk
- Rebuilt with gcc-2.96.
- Added compat-glibc (for 2.0) lost in previous release.
- Updated nscd init script.
- Updated RE locale patch from AEN:
  Added kk_KZ and ky_KG locales (Kazakhstan and Kirghizia).

* Wed Sep 20 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.94-ipl1mdk
- 2.1.94 release.

* Mon Sep 04 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.92-ipl0.3mdk
- Revert back to old-style install-locales technique.
- Merge in patches from Jakub Jelinek <jakub@redhat.com>:
  + nss/nss_files/files-hosts.c (HOST_DB_LOOKUP): Increment counter in the loop.
  + g++ 2.95.2 chokes on wrong sys/time.h

* Wed Aug 30 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.92-ipl0.2mdk
- 2.1.92 snapshot 13.
- Merge in RH patches:
  + Sun Aug 27 2000 Matt Wilson <msw@redhat.com>
    Patch to determine invalide locale name from Ulrich.
  + Sun Aug 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
    Fix up sys/io.h

* Mon Aug 21 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.92-ipl0.1mdk
- RE adaptions.
- Added PT154 locale (from AEN <aen@logic.ru>).
- 2.1.92 snapshot 5.

* Wed Aug  9 2000 Jakub Jelinek <jakub@redhat.com>
- build from CVS archive
